Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Phone

Zoom Phone - December 17th, 2022

API releaseBug fix

Summary:The Zoom Phone changelog for December 17th, 2022 includes enhancements to the Get call recordings API to allow querying data more than 6 months old, additions of new busy_action request and response fields and busy_connect_operator object to the Setting Template APIs, bug fixes for audio file playback in the Batch add audio API and updates in the Update a call handling setting API, as well as webhook bug fixes for extension_type loss in callee events and inaccurate number source fields in Call log completed events.

REST APIs

Enhancements

  • Allow query data more than 6 months old in Get call recordings API:

    • GET /v2/phone/recordings
  • New busy_action request and response field and object busy_connect_operator in Setting Template APIs:

    • GET /v2/phone/setting_templates/{templateId}
    • PATCH /v2/phone/setting_templates/{templateId}

Bug Fixes

  • Fixed the bug that the audio of wave format uploaded can not be played normally in Batch add audio API:

    • POST /v2/phone/users/{userId}/audios/batch
  • Fixed the ring_mode, max_wait_time update bugs in Update a call handling setting API:

    • PATCH /v2/phone/extension/{extensionId}/call_handling/settings/{settingType}

Webhooks

Bug Fixes

  • Fixed the loss of extension_type in callee webhook events:

    • phone.callee_ringing
    • phone.callee_answered
    • phone.callee_ended
  • Fixed the bug that the callee_number_source, caller_number_source fields are inaccurate in Call log completed webhook events:

    • phone.callee_call_log_completed
    • phone.caller_call_log_completed